#
# spec file for package sap-suse-cluster-connector
#
# Copyright (c) 2017-2020 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sap-suse-cluster-connector
Version:        3.1.2
Release:        7.6.1
BuildArch:      noarch

Summary:        Connector between sapstartsrv and corosync/pacemeker based clusters

Source0:        sap-suse-cluster-connector-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

Requires:       pacemaker > 1.1.1
Summary:        SUSE High Availability Setup for SAP Products
License:        GPL-2.0
Group:          Productivity/Clustering/HA
URL:            http://www.suse.com
%if 0%{?sle_version} >= 150000
Provides:       sap_suse_cluster_connector = %version
Obsoletes:      sap_suse_cluster_connector < %version
%else
Conflicts:      sap_suse_cluster_connector
%endif

%description
Running SAP in a high availability cluster environment needs additional
interfaces to communicate between the SAP program SAPSTARTSRV and the
high availability cluster.

At least it is essential to inform the cluster, if a SAP instance is
started or shutdown.

This package includes the reference interface implementation
sap_suse_cluster_connector.

For more information you may also visit the SAP SCN at:
http://scn.sap.com/docs/DOC-25453



Authors:
--------
    Fabian Herschel

%prep
%setup

%build
( cd man8; for manual_page in *8; do gzip $manual_page; done )


%install
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/%{_mandir}/man8
mkdir -p %{buildroot}/usr/share/sap_suse_cluster_connector/checks/

# script
install -m 0755 bin/* %{buildroot}/usr/bin/
# manual pages
install -m 0644 man8/*.gz %{buildroot}/usr/share/man/man8/
# check scripts
install -m 0755 check/run_* %{buildroot}/usr/share/sap_suse_cluster_connector
install -m 0755 check/??_* %{buildroot}/usr/share/sap_suse_cluster_connector/checks


%post
if [ ! -e /usr/local/bin/sap_cluster_connector ]; then
    ln -s /usr/bin/sap_suse_cluster_connector \
    /usr/local/bin/sap_cluster_connector
fi

%files
%defattr(-,root,root)
/usr/bin/sap_suse_cluster_connector
%dir /usr/share/sap_suse_cluster_connector
%dir /usr/share/sap_suse_cluster_connector/checks
/usr/share/sap_suse_cluster_connector/run_*
/usr/share/sap_suse_cluster_connector/checks/*
%{_mandir}/man8/*.gz
%if 0%{?sle_version} < 120000
%doc COPYING
%else
%license COPYING
%endif
%changelog
* Tue Oct 20 2020 abriel@suse.com
- New version 3.1.2
- The cluster documentation prefers nowadays the actions 'move'
  and 'clear' for 'crm resource' calls instead of the Old Fashioned
  'migrate' and 'unmigrate'.
  So sap_suse_cluster_connector will still accept the action
  'migrate' for the command 'fra' but internally it will only use
  the new cluster action 'move'.
  (bsc#1166647)
- support the output format of different versions of the command
  /usr/sbin/crm_simulate
  (bsc#1177507)
- remove unused and outdated /etc/sap_suse_cluster_connector file
  (bsc#1136933)
* Tue May 28 2019 abriel@suse.com
- New version 3.1.1
- support groups and primitives names containing dashes
  (bsc#1135487)
* Tue Jan 29 2019 abriel@suse.com
- New version 3.1.0
- Adjust detection of cluster resources, if multiple SAPInstance
  resource are found.
  Fix smm function, add set_maintenance_mode function and split
  function list_sap_resources into a frontend (list_sap_resources)
  and a backend (get_resource_and_status) to get a proper smm
  handling in sap_suse_cluster_connector. (bsc#1119137)
* Thu Aug 30 2018 abriel@suse.com
- support hostnames containing dashes (bsc#1104926)
* Tue Feb 13 2018 imanyugin@suse.com
- This package obsoletes sap_suse_cluster_connector on SLE 15 (FATE#325054)
* Wed Oct 11 2017 imanyugin@suse.com
- Initial package release, bsc#1064860
- Version 3 of the package adds support for NetWeaver 7.4x+ systems
- FATE#323465 sap_suse_cluster_connector to be enhanced to match the new NW-HA-CLU 7.40 certification
